## org.apache.hadoop.mapreduce
Enum JobStatus.State

    java.lang.Object
      java.lang.Enum<JobStatus.State>
          org.apache.hadoop.mapreduce.JobStatus.State

All Implemented Interfaces:
  Serializable, Comparable<JobStatus.State>

Enclosing class:
  JobStatus

    public static enum JobStatus.State

extends Enum<JobStatus.State>

Current state of the job

Enum Constant Summary
`FAILED`
`KILLED`
`PREP`
`RUNNING`
`SUCCEEDED`

Method Summary
`int` `getValue()`
`static JobStatus.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobStatus.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RUNNING

    public static final JobStatus.State RUNNING

### SUCCEEDED

    public static final JobStatus.State SUCCEEDED

### FAILED

    public static final JobStatus.State FAILED

### PREP

    public static final JobStatus.State PREP

### KILLED

    public static final JobStatus.State KILLED

Method Detail

### values

    public static JobStatus.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobStatus.State c : JobStatus.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobStatus.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getValue

    public int getValue()

Copyright © 2009 The Apache Software Foundation